<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_DOCUMENTOS_FISCAIS == 1) {

    class DocumentosFiscaisController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'DocumentosFiscais'),
            ));
        }

        public function actionCreate() {
            $model = new DocumentosFiscais;


            if (isset($_POST['DocumentosFiscais'])) {
                $model->setAttributes($_POST['DocumentosFiscais']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->DFS_IDDOCUMENTO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'DocumentosFiscais');


            if (isset($_POST['DocumentosFiscais'])) {
                $model->setAttributes($_POST['DocumentosFiscais']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->DFS_IDDOCUMENTO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'DocumentosFiscais')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new DocumentosFiscais('search');
            $model->unsetAttributes();

            if (isset($_GET['DocumentosFiscais']))
                $model->setAttributes($_GET['DocumentosFiscais']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

    }

}